Grants, vesting & distributions

Get Token Settlement Table Data

Lists every settled vesting, exercise request, lockup and warrant lockup in the org, newest settlement first.

GEThttps://api.toku.com/tga/get-token-settlement-table-data

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-token-settlement-table-data' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "source": {
      "vestingID": "string",
      "roleInOrgID": "string",
      "grantID": "string",
      "vestingDate": "string",
      "vestedUnits": "string",
      "accruedUnits": "string",
      "sequence": 0,
      "status": "string",
      "settlementID": "string",
      "taxReferenceID": "string",
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "performanceFactor": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "deletedAt": "string",
      "tokenName": "string",
      "payrollID": "string",
      "taxEngineProcessingState": "string",
      "taxEnginePayrollID": "string",
      "taxEngineClaimID": "string",
      "fiatFmv": "string",
      "isOffPlatform": true,
      "payrollReportingGroupID": "string",
      "grant": {
        "grantID": "string",
        "roleInOrgID": "string",
        "grantConfigurationID": "string",
        "isVestingEnabled": true,
        "isExerciseEnabled": true,
        "grantName": "string",
        "grantDescription": "string",
        "grantDate": "string",
        "grantStatus": "string",
        "grantAmount": "string",
        "grantAmountInFiat": "string",
        "grantAssetType": "string",
        "isCashCompensation": true,
        "isLockup": true,
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "taxCurrencyCode": "string",
        "grantAdminCurrencyCode": "string",
        "vestingStartDate": "string",
        "offPlatformDate": "string",
        "vestingFrequencyType": "string",
        "vestingPeriods": "string",
        "vestingCliffPeriods": 0,
        "vestingCliffPercentage": "string",
        "scheduleStringOverride": "string",
        "pricePerUnit": "string",
        "pricePerUnitCurrencyCode": "string",
        "priceTotal": "string",
        "tokenName": "string",
        "tokenTypeID": "string",
        "stablecoinSplitPercentage": "string",
        "strikePrice": "string",
        "strikePriceCurrencyCode": "string",
        "strikeCostTotal": "string",
        "anchorageSettlementWalletID": "string",
        "section83BElectionEligible": true,
        "isTaxable": true,
        "terminationDate": "string",
        "futureTerminationDate": "string",
        "awardDate": "string",
        "strikeDate": "string",
        "optionExpiresAt": "string",
        "optionExpiryNotifiedAt": "string",
        "allocationType": "string",
        "averageBasis": "string",
        "currency": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "deletedAt": "string",
        "grantTemplateID": "string",
        "cliffOverrideString": "string",
        "isSCPGrant": true,
        "isAutoVestingEnabled": true,
        "roleInOrg": {
          "hrAutomationOnly": true,
          "isServiceSeat": true,
          "invoiceApproverRoutingUpdatedAt": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "roleInOrgID": "string",
          "personID": "string",
          "orgID": "string",
          "invitedByInvestorID": "string",
          "invitedByRecipientID": "string",
          "roleInOrgExternalID": 0,
          "externalEmployeeID": "string",
          "positionID": "string",
          "jobTitle": "string",
          "country": "string",
          "countryCode": "string",
          "preferredInvoiceCurrency": "string",
          "status": "string",
          "lifecycleStatus": "string",
          "workEmail": "string",
          "department": "string",
          "legalEntity": "string",
          "payrollEntity": "string",
          "contractEntityID": "string",
          "onboarded": true,
          "isTerminated": true,
          "privilegedAdmin": true,
          "isPrimaryAdmin": true,
          "isOrgMarketMaker": true,
          "role": "string",
          "employmentType": "string",
          "revokedAt": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "payrollEmployeeID": "string",
          "hasWelcomeEmailSent": true,
          "subEmploymentType": "string",
          "remarks": "string",
          "isITAdmin": true,
          "isExternalEmployee": true,
          "employeeSyncedSource": "string",
          "investorFullName": "string",
          "baseSalary": "string",
          "baseSalaryCurrency": "string",
          "baseSalaryPaymentType": "string",
          "baseSalaryTokenTypeID": "string",
          "baseSalaryTokenSymbol": "string",
          "baseSalaryTokenNetwork": "string",
          "baseSalaryPeriod": "string",
          "stablecoinPayPercentage": 0,
          "maxStablecoinPercentage": 0,
          "taxMethod": "string",
          "withholdingPercentage": "string",
          "lastLogin": "string",
          "lastTestTxReminderBy": "string",
          "lastTestTxReminderAt": "string",
          "payrollFileNumber": "string",
          "externalPayrollId": "string",
          "lastOnboardingReminderBy": "string",
          "lastOnboardingReminderAt": "string",
          "address": "string",
          "payrollGroup": "string",
          "lastInactiveWalletReminderBy": "string",
          "lastInactiveWalletReminderAt": "string",
          "recipientType": "string",
          "receiveNotificationEmails": true,
          "receiveInAppNotifications": true,
          "notificationEmailFrequency": "string",
          "receiveSlackNotifications": true,
          "selfServeContractorOnboardingStatus": "string",
          "selfServeContractorOnboardingCompletedAt": "string",
          "selfServeWelcomeEmailSentAt": "string",
          "numberOfPayPeriodsPerYear": 0,
          "managerRoleInOrgID": "string",
          "managerPath": [
            "string"
          ],
          "person": {
            "personID": "string",
            "givenName": "string",
            "familyName": "string",
            "middleName": "string",
            "createdAt": "string",
            "updatedAt": "string",
            "legacyMigratedAt": "string",
            "legacyModelID": 0,
            "mergedIntoPersonID": "string",
            "mergedAt": "string",
            "fullName": "string"
          }
        }
      },
      "settlementRecord": {
        "settlementID": "string",
        "roleInOrgID": "string",
        "recordedVia": "string",
        "revision": 0,
        "supersededDocumentIDs": [
          "string"
        ],
        "settledUnits": "string",
        "cashUnits": "string",
        "settledDate": "string",
        "settlementMethod": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "documentID": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "tokenName": "string",
        "withheldUnits": "string",
        "fmv": "string",
        "tokenSettlement": {
          "tokenSettlementID": "string",
          "settlementID": "string",
          "roleInOrgID": "string",
          "tokenTypeID": "string",
          "memo": "string",
          "destinationTag": 0,
          "transferIndex": "string",
          "address": "string",
          "tokenCurrencyCode": "string",
          "tokenNetwork": "string",
          "percentageOfTransactionAttributedToSettlement": "string",
          "transactionLink": "string",
          "transactionHash": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "walletReferenceID": "string",
          "tokenWalletReferenceID": "string",
          "stablecoinAmount": "string",
          "stablecoinSymbol": "string",
          "stablecoinTransactionHash": "string",
          "stablecoinTransactionLink": "string"
        },
        "fiatSettlement": {
          "settlementID": "string",
          "roleInOrgID": "string",
          "settlmentRecordID": "string",
          "currencyCode": "string",
          "transferDetails": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "amount": "string",
          "amountUsd": "string",
          "localCurrencyCode": "string",
          "amountLocal": "string"
        },
        "document": {
          "supersededAt": "string",
          "documentID": "string",
          "roleInOrgID": "string",
          "investorEntityID": "string",
          "documentName": "string",
          "documentDescription": "string",
          "documentType": "string",
          "fileID": "string",
          "signedAt": "string",
          "archivedAt": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "deletedAt": "string",
          "grantID": "string",
          "warrantID": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "visibleToRole": true,
          "visibleToClientAdmin": true,
          "file": {
            "fileID": "string",
            "orgID": "string",
            "fileName": "string",
            "mimeType": "string",
            "fileKey": "string",
            "fileBucket": "string",
            "fileUploaded": "string",
            "fileSizeInBytes": "string",
            "createdByUserID": "string",
            "createdAt": "string",
            "updatedAt": "string",
            "legacyMigratedAt": "string",
            "legacyModelID": 0,
            "type": "string",
            "fileURL": "string",
            "fileDownloadURL": "string"
          }
        }
      },
      "taxReference": {
        "taxReferenceID": "string",
        "roleInOrgID": "string",
        "type": "string",
        "status": "string",
        "payrollID": "string",
        "unitsToWithhold": "string",
        "totalUnits": "string",
        "unitsToDistribute": "string",
        "taxCurrencyCode": "string",
        "valueInTaxCurrency": "string",
        "amountToWithholdInTaxCurrency": "string",
        "documentID": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "fmv": "string",
        "fiatFmv": "string",
        "rejectionReason": "string",
        "withholdingPercentage": "string",
        "stablecoinSplitPercentage": "string",
        "stablecoinAmount": "string",
        "stablecoinFmv": "string",
        "desiredSettlementMethod": "string",
        "fmvSource": "string",
        "fmvAsOf": "string",
        "fmvUsd": "string",
        "localCurrencyCode": "string",
        "fmvLocal": "string",
        "finalizedWalletAddress": "string",
        "settlmentDocumentID": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "payoutLegs": [
          {
            "payoutLegID": "string",
            "orgID": "string",
            "taxReferenceID": "string",
            "roleInOrgID": "string",
            "slot": "string",
            "walletID": "string",
            "address": "string",
            "memo": "string",
            "destinationTag": 0,
            "tokenTypeID": "string",
            "orgNetworkID": "string",
            "secondPercent": "string",
            "amount": "string",
            "transactionHash": "string",
            "transferIndex": "string",
            "transactionLink": "string",
            "paidAt": "string",
            "createdAt": "string",
            "updatedAt": "string"
          }
        ]
      }
    },
    "grant": {
      "grantID": "string",
      "roleInOrgID": "string",
      "grantConfigurationID": "string",
      "isVestingEnabled": true,
      "isExerciseEnabled": true,
      "grantName": "string",
      "grantDescription": "string",
      "grantDate": "string",
      "grantStatus": "string",
      "grantAmount": "string",
      "grantAmountInFiat": "string",
      "grantAssetType": "string",
      "isCashCompensation": true,
      "isLockup": true,
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "taxCurrencyCode": "string",
      "grantAdminCurrencyCode": "string",
      "vestingStartDate": "string",
      "offPlatformDate": "string",
      "vestingFrequencyType": "string",
      "vestingPeriods": "string",
      "vestingCliffPeriods": 0,
      "vestingCliffPercentage": "string",
      "scheduleStringOverride": "string",
      "pricePerUnit": "string",
      "pricePerUnitCurrencyCode": "string",
      "priceTotal": "string",
      "tokenName": "string",
      "tokenTypeID": "string",
      "stablecoinSplitPercentage": "string",
      "strikePrice": "string",
      "strikePriceCurrencyCode": "string",
      "strikeCostTotal": "string",
      "anchorageSettlementWalletID": "string",
      "section83BElectionEligible": true,
      "isTaxable": true,
      "terminationDate": "string",
      "futureTerminationDate": "string",
      "awardDate": "string",
      "strikeDate": "string",
      "optionExpiresAt": "string",
      "optionExpiryNotifiedAt": "string",
      "allocationType": "string",
      "averageBasis": "string",
      "currency": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "deletedAt": "string",
      "grantTemplateID": "string",
      "cliffOverrideString": "string",
      "isSCPGrant": true,
      "isAutoVestingEnabled": true,
      "roleInOrg": {
        "hrAutomationOnly": true,
        "isServiceSeat": true,
        "invoiceApproverRoutingUpdatedAt": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "roleInOrgID": "string",
        "personID": "string",
        "orgID": "string",
        "invitedByInvestorID": "string",
        "invitedByRecipientID": "string",
        "roleInOrgExternalID": 0,
        "externalEmployeeID": "string",
        "positionID": "string",
        "jobTitle": "string",
        "country": "string",
        "countryCode": "string",
        "preferredInvoiceCurrency": "string",
        "status": "string",
        "lifecycleStatus": "string",
        "workEmail": "string",
        "department": "string",
        "legalEntity": "string",
        "payrollEntity": "string",
        "contractEntityID": "string",
        "onboarded": true,
        "isTerminated": true,
        "privilegedAdmin": true,
        "isPrimaryAdmin": true,
        "isOrgMarketMaker": true,
        "role": "string",
        "employmentType": "string",
        "revokedAt": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "payrollEmployeeID": "string",
        "hasWelcomeEmailSent": true,
        "subEmploymentType": "string",
        "remarks": "string",
        "isITAdmin": true,
        "isExternalEmployee": true,
        "employeeSyncedSource": "string",
        "investorFullName": "string",
        "baseSalary": "string",
        "baseSalaryCurrency": "string",
        "baseSalaryPaymentType": "string",
        "baseSalaryTokenTypeID": "string",
        "baseSalaryTokenSymbol": "string",
        "baseSalaryTokenNetwork": "string",
        "baseSalaryPeriod": "string",
        "stablecoinPayPercentage": 0,
        "maxStablecoinPercentage": 0,
        "taxMethod": "string",
        "withholdingPercentage": "string",
        "lastLogin": "string",
        "lastTestTxReminderBy": "string",
        "lastTestTxReminderAt": "string",
        "payrollFileNumber": "string",
        "externalPayrollId": "string",
        "lastOnboardingReminderBy": "string",
        "lastOnboardingReminderAt": "string",
        "address": "string",
        "payrollGroup": "string",
        "lastInactiveWalletReminderBy": "string",
        "lastInactiveWalletReminderAt": "string",
        "recipientType": "string",
        "receiveNotificationEmails": true,
        "receiveInAppNotifications": true,
        "notificationEmailFrequency": "string",
        "receiveSlackNotifications": true,
        "selfServeContractorOnboardingStatus": "string",
        "selfServeContractorOnboardingCompletedAt": "string",
        "selfServeWelcomeEmailSentAt": "string",
        "numberOfPayPeriodsPerYear": 0,
        "managerRoleInOrgID": "string",
        "managerPath": [
          "string"
        ],
        "person": {
          "personID": "string",
          "givenName": "string",
          "familyName": "string",
          "middleName": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "mergedIntoPersonID": "string",
          "mergedAt": "string",
          "fullName": "string"
        }
      }
    },
    "warrant": {
      "warrantID": "string",
      "roleInOrgID": "string",
      "warrantName": "string",
      "investorEntityID": "string",
      "warrantDescription": "string",
      "warrantStatus": "string",
      "warrantConfigurationID": "string",
      "firmName": "string",
      "amount": 0,
      "price": 0,
      "totalValue": 0,
      "issueDate": "string",
      "expirationDate": "string",
      "lockupPeriodMonths": 0,
      "lockupFrequencyType": "string",
      "unlockDateOverride": "string",
      "agreementSignedAt": "string",
      "exerciseNoticeTermsHash": "string",
      "exerciseNoticeEnvelopeID": "string",
      "exerciseNoticeEnvelopeCompletedAt": "string",
      "exerciseNoticeSignedAt": "string",
      "paidAt": "string",
      "settledAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "isSigned": true,
      "isPaid": true,
      "isExercised": true,
      "isUnderLockup": true,
      "isOffPlatform": true,
      "isTerminated": true,
      "warrantLabel": "string",
      "roleInOrg": {
        "hrAutomationOnly": true,
        "isServiceSeat": true,
        "invoiceApproverRoutingUpdatedAt": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "roleInOrgID": "string",
        "personID": "string",
        "orgID": "string",
        "invitedByInvestorID": "string",
        "invitedByRecipientID": "string",
        "roleInOrgExternalID": 0,
        "externalEmployeeID": "string",
        "positionID": "string",
        "jobTitle": "string",
        "country": "string",
        "countryCode": "string",
        "preferredInvoiceCurrency": "string",
        "status": "string",
        "lifecycleStatus": "string",
        "workEmail": "string",
        "department": "string",
        "legalEntity": "string",
        "payrollEntity": "string",
        "contractEntityID": "string",
        "onboarded": true,
        "isTerminated": true,
        "privilegedAdmin": true,
        "isPrimaryAdmin": true,
        "isOrgMarketMaker": true,
        "role": "string",
        "employmentType": "string",
        "revokedAt": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "payrollEmployeeID": "string",
        "hasWelcomeEmailSent": true,
        "subEmploymentType": "string",
        "remarks": "string",
        "isITAdmin": true,
        "isExternalEmployee": true,
        "employeeSyncedSource": "string",
        "investorFullName": "string",
        "baseSalary": "string",
        "baseSalaryCurrency": "string",
        "baseSalaryPaymentType": "string",
        "baseSalaryTokenTypeID": "string",
        "baseSalaryTokenSymbol": "string",
        "baseSalaryTokenNetwork": "string",
        "baseSalaryPeriod": "string",
        "stablecoinPayPercentage": 0,
        "maxStablecoinPercentage": 0,
        "taxMethod": "string",
        "withholdingPercentage": "string",
        "lastLogin": "string",
        "lastTestTxReminderBy": "string",
        "lastTestTxReminderAt": "string",
        "payrollFileNumber": "string",
        "externalPayrollId": "string",
        "lastOnboardingReminderBy": "string",
        "lastOnboardingReminderAt": "string",
        "address": "string",
        "payrollGroup": "string",
        "lastInactiveWalletReminderBy": "string",
        "lastInactiveWalletReminderAt": "string",
        "recipientType": "string",
        "receiveNotificationEmails": true,
        "receiveInAppNotifications": true,
        "notificationEmailFrequency": "string",
        "receiveSlackNotifications": true,
        "selfServeContractorOnboardingStatus": "string",
        "selfServeContractorOnboardingCompletedAt": "string",
        "selfServeWelcomeEmailSentAt": "string",
        "numberOfPayPeriodsPerYear": 0,
        "managerRoleInOrgID": "string",
        "managerPath": [
          "string"
        ],
        "person": {
          "personID": "string",
          "givenName": "string",
          "familyName": "string",
          "middleName": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "mergedIntoPersonID": "string",
          "mergedAt": "string",
          "fullName": "string"
        }
      }
    },
    "settlementRecord": {
      "settlementID": "string",
      "roleInOrgID": "string",
      "recordedVia": "string",
      "revision": 0,
      "supersededDocumentIDs": [
        "string"
      ],
      "settledUnits": "string",
      "cashUnits": "string",
      "settledDate": "string",
      "settlementMethod": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "documentID": "string",
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "tokenName": "string",
      "withheldUnits": "string",
      "fmv": "string",
      "tokenSettlement": {
        "tokenSettlementID": "string",
        "settlementID": "string",
        "roleInOrgID": "string",
        "tokenTypeID": "string",
        "memo": "string",
        "destinationTag": 0,
        "transferIndex": "string",
        "address": "string",
        "tokenCurrencyCode": "string",
        "tokenNetwork": "string",
        "percentageOfTransactionAttributedToSettlement": "string",
        "transactionLink": "string",
        "transactionHash": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "walletReferenceID": "string",
        "tokenWalletReferenceID": "string",
        "stablecoinAmount": "string",
        "stablecoinSymbol": "string",
        "stablecoinTransactionHash": "string",
        "stablecoinTransactionLink": "string"
      },
      "fiatSettlement": {
        "settlementID": "string",
        "roleInOrgID": "string",
        "settlmentRecordID": "string",
        "currencyCode": "string",
        "transferDetails": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "amount": "string",
        "amountUsd": "string",
        "localCurrencyCode": "string",
        "amountLocal": "string"
      },
      "document": {
        "supersededAt": "string",
        "documentID": "string",
        "roleInOrgID": "string",
        "investorEntityID": "string",
        "documentName": "string",
        "documentDescription": "string",
        "documentType": "string",
        "fileID": "string",
        "signedAt": "string",
        "archivedAt": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "deletedAt": "string",
        "grantID": "string",
        "warrantID": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "visibleToRole": true,
        "visibleToClientAdmin": true,
        "file": {
          "fileID": "string",
          "orgID": "string",
          "fileName": "string",
          "mimeType": "string",
          "fileKey": "string",
          "fileBucket": "string",
          "fileUploaded": "string",
          "fileSizeInBytes": "string",
          "createdByUserID": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "type": "string",
          "fileURL": "string",
          "fileDownloadURL": "string"
        }
      }
    },
    "taxReference": {
      "taxReferenceID": "string",
      "roleInOrgID": "string",
      "type": "string",
      "status": "string",
      "payrollID": "string",
      "unitsToWithhold": "string",
      "totalUnits": "string",
      "unitsToDistribute": "string",
      "taxCurrencyCode": "string",
      "valueInTaxCurrency": "string",
      "amountToWithholdInTaxCurrency": "string",
      "documentID": "string",
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "fmv": "string",
      "fiatFmv": "string",
      "rejectionReason": "string",
      "withholdingPercentage": "string",
      "stablecoinSplitPercentage": "string",
      "stablecoinAmount": "string",
      "stablecoinFmv": "string",
      "desiredSettlementMethod": "string",
      "fmvSource": "string",
      "fmvAsOf": "string",
      "fmvUsd": "string",
      "localCurrencyCode": "string",
      "fmvLocal": "string",
      "finalizedWalletAddress": "string",
      "settlmentDocumentID": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "payoutLegs": [
        {
          "payoutLegID": "string",
          "orgID": "string",
          "taxReferenceID": "string",
          "roleInOrgID": "string",
          "slot": "string",
          "walletID": "string",
          "address": "string",
          "memo": "string",
          "destinationTag": 0,
          "tokenTypeID": "string",
          "orgNetworkID": "string",
          "secondPercent": "string",
          "amount": "string",
          "transactionHash": "string",
          "transferIndex": "string",
          "transactionLink": "string",
          "paidAt": "string",
          "createdAt": "string",
          "updatedAt": "string"
        }
      ]
    }
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
routeAwareany
sourceobject | object | object | objectrequired
Show child attributes
vestingIDstringrequired
roleInOrgIDstringrequired
grantIDstringrequired
vestingDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

vestedUnitsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

accruedUnitsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

sequencenumberrequired
statusstringrequired
settlementIDstring | nullrequired
taxReferenceIDstring | nullrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
performanceFactorstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

deletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

tokenNamestring | nullrequired
payrollIDstring | nullrequired
taxEngineProcessingStatestring | nullrequired
taxEnginePayrollIDstring | nullrequired
taxEngineClaimIDstring | nullrequired
fiatFmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

isOffPlatformboolean | nullrequired
payrollReportingGroupIDstring | nullrequired
grantobjectrequired
Show child attributes
grantIDstringrequired
roleInOrgIDstringrequired
grantConfigurationIDstringrequired
isVestingEnabledbooleanrequired
isExerciseEnabledbooleanrequired
grantNamestringrequired
grantDescriptionstringrequired
grantDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantStatusstringrequired
grantAmountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

grantAmountInFiatstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

grantAssetTypestring | nullrequired
isCashCompensationboolean | nullrequired
isLockupboolean | nullrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
taxCurrencyCodestring | nullrequired
grantAdminCurrencyCodestring | nullrequired
vestingStartDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

offPlatformDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

vestingFrequencyTypestring | nullrequired
vestingPeriodsstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

vestingCliffPeriodsnumber | nullrequired
vestingCliffPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

scheduleStringOverridestring | nullrequired
pricePerUnitstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

pricePerUnitCurrencyCodestring | nullrequired
priceTotalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokenNamestring | nullrequired
tokenTypeIDstring | nullrequired
stablecoinSplitPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

strikePricestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

strikePriceCurrencyCodestring | nullrequired
strikeCostTotalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

anchorageSettlementWalletIDstring | nullrequired
section83BElectionEligiblebooleanrequired
isTaxablebooleanrequired
terminationDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

futureTerminationDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantTerminationsanyrequired
awardDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

strikeDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

optionExpiresAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

optionExpiryNotifiedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

allocationTypestring | nullrequired
averageBasisstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

currencystring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

deletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantTemplateIDstring | nullrequired
cliffOverrideStringstring | nullrequired
isSCPGrantboolean | nullrequired
isAutoVestingEnabledboolean | nullrequired
roleInOrgobjectrequired
Show child attributes
hrAutomationOnlybooleanrequired
isServiceSeatbooleanrequired
invoiceApproverRoutingUpdatedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
roleInOrgIDstringrequired
personIDstringrequired
orgIDstringrequired
invitedByInvestorIDstring | nullrequired
invitedByRecipientIDstring | nullrequired
roleInOrgExternalIDnumberrequired
externalEmployeeIDstring | nullrequired
positionIDstring | nullrequired
jobTitlestring | nullrequired
countrystring | nullrequired
countryCodestring | nullrequired
preferredInvoiceCurrencystring | nullrequired
statusstring | nullrequired
lifecycleStatusstring | nullrequired
workEmailstring | nullrequired
departmentstring | nullrequired
legalEntitystring | nullrequired
payrollEntitystring | nullrequired
contractEntityIDstring | nullrequired
onboardedbooleanrequired
isTerminatedbooleanrequired
privilegedAdminbooleanrequired
isPrimaryAdminbooleanrequired
isOrgMarketMakerbooleanrequired
rolestringrequired
employmentTypestring | nullrequired
revokedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payrollEmployeeIDstring | nullrequired
hasWelcomeEmailSentbooleanrequired
subEmploymentTypestring | nullrequired
remarksstring | nullrequired
isITAdminbooleanrequired
isExternalEmployeebooleanrequired
employeeSyncedSourcestring | nullrequired
investorFullNamestring | nullrequired
baseSalarystring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

baseSalaryCurrencystring | nullrequired
baseSalaryPaymentTypestringrequired
baseSalaryTokenTypeIDstring | nullrequired
baseSalaryTokenSymbolstring | nullrequired
baseSalaryTokenNetworkstring | nullrequired
baseSalaryPeriodstring | nullrequired
stablecoinPayPercentagenumber | nullrequired
maxStablecoinPercentagenumber | nullrequired
taxMethodstring | nullrequired
withholdingPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

lastLoginstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

lastTestTxReminderBystring | nullrequired
lastTestTxReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payrollFileNumberstring | nullrequired
externalPayrollIdstring | nullrequired
lastOnboardingReminderBystring | nullrequired
lastOnboardingReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

addressstring | nullrequired
payrollGroupstring | nullrequired
lastInactiveWalletReminderBystring | nullrequired
lastInactiveWalletReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

recipientTypestring | nullrequired
receiveNotificationEmailsbooleanrequired
receiveInAppNotificationsbooleanrequired
notificationEmailFrequencystringrequired
receiveSlackNotificationsbooleanrequired
selfServeContractorOnboardingStatusstringrequired
selfServeContractorOnboardingCompletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

selfServeWelcomeEmailSentAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

numberOfPayPeriodsPerYearnumberrequired
managerRoleInOrgIDstring | nullrequired
managerPathstring[]required
personobjectrequired
Show child attributes
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
middleNamestring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
mergedIntoPersonIDstring | nullrequired
mergedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

fullNamestringrequired
settlementRecordobject | nullrequired
Show child attributes
settlementIDstringrequired
roleInOrgIDstringrequired
scheduleAmountsanyrequired
recordedViastring | nullrequired
revisionnumberrequired
supersededDocumentIDsstring[]required
settledUnitsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

cashUnitsstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

settledDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

settlementMethodstringrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

documentIDstring | nullrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
tokenNamestring | nullrequired
withheldUnitsstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

fmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokenSettlementobject | nullrequired
Show child attributes
tokenSettlementIDstringrequired
settlementIDstringrequired
roleInOrgIDstringrequired
tokenTypeIDstring | null
memostring | nullrequired
destinationTagnumber | nullrequired
transferIndexstring | nullrequired
addressstring | nullrequired
tokenCurrencyCodestringrequired
tokenNetworkstring | nullrequired
percentageOfTransactionAttributedToSettlementstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

transactionLinkstringrequired
transactionHashstringrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
walletReferenceIDstring | nullrequired
tokenWalletReferenceIDstring | nullrequired
stablecoinAmountstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinSymbolstring | nullrequired
stablecoinTransactionHashstring | nullrequired
stablecoinTransactionLinkstring | nullrequired
fiatSettlementobject | nullrequired
Show child attributes
settlementIDstringrequired
roleInOrgIDstringrequired
settlmentRecordIDstringrequired
currencyCodestringrequired
transferDetailsstringrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
amountstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

amountUsdstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

localCurrencyCodestring | nullrequired
amountLocalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

documentobject | nullrequired
Show child attributes
supersededAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

documentIDstringrequired
roleInOrgIDstringrequired
investorEntityIDstring | nullrequired
documentNamestringrequired
documentDescriptionstring | nullrequired
documentTypestringrequired
fileIDstringrequired
signedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

archivedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

deletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantIDstring | nullrequired
warrantIDstring | nullrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
visibleToRolebooleanrequired
visibleToClientAdminbooleanrequired
fileobjectrequired
Show child attributes
fileIDstringrequired
orgIDstringrequired
fileNamestringrequired
mimeTypestringrequired
fileKeystringrequired
fileBucketstringrequired
fileUploadedstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

fileSizeInBytesstring | nullrequired

Allowed: matches ^-?\d+$

createdByUserIDstring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
typestringrequired
fileURLstringrequired
fileDownloadURLstringrequired
taxReferenceobject | nullrequired
Show child attributes
taxReferenceIDstringrequired
roleInOrgIDstringrequired
typestringrequired
statusstringrequired
payrollIDstringrequired
unitsToWithholdstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

totalUnitsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

unitsToDistributestringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

taxCurrencyCodestringrequired
valueInTaxCurrencystringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

amountToWithholdInTaxCurrencystringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

documentIDstring | nullrequired
taxDataanyrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
fmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

fiatFmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

rejectionReasonstring | nullrequired
withholdingPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinSplitPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinAmountstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinFmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

desiredSettlementMethodstringrequired
fmvSourcestring | nullrequired
fmvAsOfstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

fmvUsdstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

localCurrencyCodestring | nullrequired
fmvLocalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

finalizedWalletAddressstring | nullrequired
settlmentDocumentIDstring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payoutLegsobject[]required
Show child attributes
payoutLegIDstringrequired
orgIDstringrequired
taxReferenceIDstringrequired
roleInOrgIDstringrequired
slotstringrequired
walletIDstringrequired
addressstringrequired
memostring | nullrequired
destinationTagnumber | nullrequired
tokenTypeIDstringrequired
orgNetworkIDstringrequired
secondPercentstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

amountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

transactionHashstring | nullrequired
transferIndexstring | nullrequired
transactionLinkstring | nullrequired
paidAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantobject | null
Show child attributes
grantIDstringrequired
roleInOrgIDstringrequired
grantConfigurationIDstringrequired
isVestingEnabledbooleanrequired
isExerciseEnabledbooleanrequired
grantNamestringrequired
grantDescriptionstringrequired
grantDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantStatusstringrequired
grantAmountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

grantAmountInFiatstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

grantAssetTypestring | nullrequired
isCashCompensationboolean | nullrequired
isLockupboolean | nullrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
taxCurrencyCodestring | nullrequired
grantAdminCurrencyCodestring | nullrequired
vestingStartDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

offPlatformDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

vestingFrequencyTypestring | nullrequired
vestingPeriodsstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

vestingCliffPeriodsnumber | nullrequired
vestingCliffPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

scheduleStringOverridestring | nullrequired
pricePerUnitstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

pricePerUnitCurrencyCodestring | nullrequired
priceTotalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokenNamestring | nullrequired
tokenTypeIDstring | nullrequired
stablecoinSplitPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

strikePricestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

strikePriceCurrencyCodestring | nullrequired
strikeCostTotalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

anchorageSettlementWalletIDstring | nullrequired
section83BElectionEligiblebooleanrequired
isTaxablebooleanrequired
terminationDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

futureTerminationDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantTerminationsanyrequired
awardDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

strikeDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

optionExpiresAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

optionExpiryNotifiedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

allocationTypestring | nullrequired
averageBasisstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

currencystring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

deletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantTemplateIDstring | nullrequired
cliffOverrideStringstring | nullrequired
isSCPGrantboolean | nullrequired
isAutoVestingEnabledboolean | nullrequired
roleInOrgobjectrequired
Show child attributes
hrAutomationOnlybooleanrequired
isServiceSeatbooleanrequired
invoiceApproverRoutingUpdatedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
roleInOrgIDstringrequired
personIDstringrequired
orgIDstringrequired
invitedByInvestorIDstring | nullrequired
invitedByRecipientIDstring | nullrequired
roleInOrgExternalIDnumberrequired
externalEmployeeIDstring | nullrequired
positionIDstring | nullrequired
jobTitlestring | nullrequired
countrystring | nullrequired
countryCodestring | nullrequired
preferredInvoiceCurrencystring | nullrequired
statusstring | nullrequired
lifecycleStatusstring | nullrequired
workEmailstring | nullrequired
departmentstring | nullrequired
legalEntitystring | nullrequired
payrollEntitystring | nullrequired
contractEntityIDstring | nullrequired
onboardedbooleanrequired
isTerminatedbooleanrequired
privilegedAdminbooleanrequired
isPrimaryAdminbooleanrequired
isOrgMarketMakerbooleanrequired
rolestringrequired
employmentTypestring | nullrequired
revokedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payrollEmployeeIDstring | nullrequired
hasWelcomeEmailSentbooleanrequired
subEmploymentTypestring | nullrequired
remarksstring | nullrequired
isITAdminbooleanrequired
isExternalEmployeebooleanrequired
employeeSyncedSourcestring | nullrequired
investorFullNamestring | nullrequired
baseSalarystring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

baseSalaryCurrencystring | nullrequired
baseSalaryPaymentTypestringrequired
baseSalaryTokenTypeIDstring | nullrequired
baseSalaryTokenSymbolstring | nullrequired
baseSalaryTokenNetworkstring | nullrequired
baseSalaryPeriodstring | nullrequired
stablecoinPayPercentagenumber | nullrequired
maxStablecoinPercentagenumber | nullrequired
taxMethodstring | nullrequired
withholdingPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

lastLoginstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

lastTestTxReminderBystring | nullrequired
lastTestTxReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payrollFileNumberstring | nullrequired
externalPayrollIdstring | nullrequired
lastOnboardingReminderBystring | nullrequired
lastOnboardingReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

addressstring | nullrequired
payrollGroupstring | nullrequired
lastInactiveWalletReminderBystring | nullrequired
lastInactiveWalletReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

recipientTypestring | nullrequired
receiveNotificationEmailsbooleanrequired
receiveInAppNotificationsbooleanrequired
notificationEmailFrequencystringrequired
receiveSlackNotificationsbooleanrequired
selfServeContractorOnboardingStatusstringrequired
selfServeContractorOnboardingCompletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

selfServeWelcomeEmailSentAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

numberOfPayPeriodsPerYearnumberrequired
managerRoleInOrgIDstring | nullrequired
managerPathstring[]required
personobjectrequired
Show child attributes
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
middleNamestring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
mergedIntoPersonIDstring | nullrequired
mergedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

fullNamestringrequired
warrantobject | null
Show child attributes
warrantIDstringrequired
roleInOrgIDstringrequired
warrantNamestringrequired
investorEntityIDstring | nullrequired
warrantDescriptionstring | nullrequired
warrantStatusstringrequired
warrantConfigurationIDstringrequired
firmNamestring | nullrequired
amountnumberrequired
pricenumber | nullrequired
totalValuenumber | nullrequired
issueDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

expirationDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

lockupPeriodMonthsnumber | nullrequired
lockupFrequencyTypestringrequired
unlockDateOverridestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

agreementSignedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

exerciseNoticeTermsHashstring | null
exerciseNoticeEnvelopeIDstring | null
exerciseNoticeEnvelopeCompletedAtstring | null

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

exerciseNoticeSignedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

paidAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

settledAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
isSignedboolean | nullrequired
isPaidboolean | nullrequired
isExercisedboolean | nullrequired
isUnderLockupboolean | nullrequired
isOffPlatformboolean | nullrequired
isTerminatedboolean | nullrequired
warrantLabelstring | nullrequired
roleInOrgobjectrequired
Show child attributes
hrAutomationOnlybooleanrequired
isServiceSeatbooleanrequired
invoiceApproverRoutingUpdatedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
roleInOrgIDstringrequired
personIDstringrequired
orgIDstringrequired
invitedByInvestorIDstring | nullrequired
invitedByRecipientIDstring | nullrequired
roleInOrgExternalIDnumberrequired
externalEmployeeIDstring | nullrequired
positionIDstring | nullrequired
jobTitlestring | nullrequired
countrystring | nullrequired
countryCodestring | nullrequired
preferredInvoiceCurrencystring | nullrequired
statusstring | nullrequired
lifecycleStatusstring | nullrequired
workEmailstring | nullrequired
departmentstring | nullrequired
legalEntitystring | nullrequired
payrollEntitystring | nullrequired
contractEntityIDstring | nullrequired
onboardedbooleanrequired
isTerminatedbooleanrequired
privilegedAdminbooleanrequired
isPrimaryAdminbooleanrequired
isOrgMarketMakerbooleanrequired
rolestringrequired
employmentTypestring | nullrequired
revokedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payrollEmployeeIDstring | nullrequired
hasWelcomeEmailSentbooleanrequired
subEmploymentTypestring | nullrequired
remarksstring | nullrequired
isITAdminbooleanrequired
isExternalEmployeebooleanrequired
employeeSyncedSourcestring | nullrequired
investorFullNamestring | nullrequired
baseSalarystring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

baseSalaryCurrencystring | nullrequired
baseSalaryPaymentTypestringrequired
baseSalaryTokenTypeIDstring | nullrequired
baseSalaryTokenSymbolstring | nullrequired
baseSalaryTokenNetworkstring | nullrequired
baseSalaryPeriodstring | nullrequired
stablecoinPayPercentagenumber | nullrequired
maxStablecoinPercentagenumber | nullrequired
taxMethodstring | nullrequired
withholdingPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

lastLoginstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

lastTestTxReminderBystring | nullrequired
lastTestTxReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payrollFileNumberstring | nullrequired
externalPayrollIdstring | nullrequired
lastOnboardingReminderBystring | nullrequired
lastOnboardingReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

addressstring | nullrequired
payrollGroupstring | nullrequired
lastInactiveWalletReminderBystring | nullrequired
lastInactiveWalletReminderAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

recipientTypestring | nullrequired
receiveNotificationEmailsbooleanrequired
receiveInAppNotificationsbooleanrequired
notificationEmailFrequencystringrequired
receiveSlackNotificationsbooleanrequired
selfServeContractorOnboardingStatusstringrequired
selfServeContractorOnboardingCompletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

selfServeWelcomeEmailSentAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

numberOfPayPeriodsPerYearnumberrequired
managerRoleInOrgIDstring | nullrequired
managerPathstring[]required
personobjectrequired
Show child attributes
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
middleNamestring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
mergedIntoPersonIDstring | nullrequired
mergedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

fullNamestringrequired
settlementRecordobject | nullrequired
Show child attributes
settlementIDstringrequired
roleInOrgIDstringrequired
scheduleAmountsanyrequired
recordedViastring | nullrequired
revisionnumberrequired
supersededDocumentIDsstring[]required
settledUnitsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

cashUnitsstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

settledDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

settlementMethodstringrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

documentIDstring | nullrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
tokenNamestring | nullrequired
withheldUnitsstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

fmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokenSettlementobject | nullrequired
Show child attributes
tokenSettlementIDstringrequired
settlementIDstringrequired
roleInOrgIDstringrequired
tokenTypeIDstring | null
memostring | nullrequired
destinationTagnumber | nullrequired
transferIndexstring | nullrequired
addressstring | nullrequired
tokenCurrencyCodestringrequired
tokenNetworkstring | nullrequired
percentageOfTransactionAttributedToSettlementstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

transactionLinkstringrequired
transactionHashstringrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
walletReferenceIDstring | nullrequired
tokenWalletReferenceIDstring | nullrequired
stablecoinAmountstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinSymbolstring | nullrequired
stablecoinTransactionHashstring | nullrequired
stablecoinTransactionLinkstring | nullrequired
fiatSettlementobject | nullrequired
Show child attributes
settlementIDstringrequired
roleInOrgIDstringrequired
settlmentRecordIDstringrequired
currencyCodestringrequired
transferDetailsstringrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
amountstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

amountUsdstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

localCurrencyCodestring | nullrequired
amountLocalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

documentobject | nullrequired
Show child attributes
supersededAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

documentIDstringrequired
roleInOrgIDstringrequired
investorEntityIDstring | nullrequired
documentNamestringrequired
documentDescriptionstring | nullrequired
documentTypestringrequired
fileIDstringrequired
signedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

archivedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

deletedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

grantIDstring | nullrequired
warrantIDstring | nullrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
visibleToRolebooleanrequired
visibleToClientAdminbooleanrequired
fileobjectrequired
Show child attributes
fileIDstringrequired
orgIDstringrequired
fileNamestringrequired
mimeTypestringrequired
fileKeystringrequired
fileBucketstringrequired
fileUploadedstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

fileSizeInBytesstring | nullrequired

Allowed: matches ^-?\d+$

createdByUserIDstring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
typestringrequired
fileURLstringrequired
fileDownloadURLstringrequired
taxReferenceobject | nullrequired
Show child attributes
taxReferenceIDstringrequired
roleInOrgIDstringrequired
typestringrequired
statusstringrequired
payrollIDstringrequired
unitsToWithholdstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

totalUnitsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

unitsToDistributestringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

taxCurrencyCodestringrequired
valueInTaxCurrencystringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

amountToWithholdInTaxCurrencystringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

documentIDstring | nullrequired
taxDataanyrequired
legacyMigratedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

legacyModelIDnumber | nullrequired
fmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

fiatFmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

rejectionReasonstring | nullrequired
withholdingPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinSplitPercentagestring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinAmountstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

stablecoinFmvstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

desiredSettlementMethodstringrequired
fmvSourcestring | nullrequired
fmvAsOfstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

fmvUsdstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

localCurrencyCodestring | nullrequired
fmvLocalstring | nullrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

finalizedWalletAddressstring | nullrequired
settlmentDocumentIDstring | nullrequired
createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

payoutLegsobject[]required
Show child attributes
payoutLegIDstringrequired
orgIDstringrequired
taxReferenceIDstringrequired
roleInOrgIDstringrequired
slotstringrequired
walletIDstringrequired
addressstringrequired
memostring | nullrequired
destinationTagnumber | nullrequired
tokenTypeIDstringrequired
orgNetworkIDstringrequired
secondPercentstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

amountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

transactionHashstring | nullrequired
transferIndexstring | nullrequired
transactionLinkstring | nullrequired
paidAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

createdAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

updatedAtstringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits